# UnlockPhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class UnlockPhase

#### Hierarchy (View Summary)

- Phase
  - UnlockPhase

- Defined in src/phases/unlock-phase.ts:8

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new UnlockPhase(unlockable: Unlockables ): UnlockPhase

  #### Parameters

  - unlockable: Unlockables

  #### Returns UnlockPhase

  Overrides Phase.constructor

  - Defined in src/phases/unlock-phase.ts:11

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/unlock-phase.ts:17